View Issue Details

IDProjectCategoryView StatusLast Update
0000902Far Manager 1.7xFile Systempublic2009-07-06 11:47
ReportersdindikovAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.75 
Target VersionFixed in Version1.75 
Summary0000902: Нельзя выйти из папки первого уровня при работе с диском через \\?\
DescriptionOS:Xpsp3
FAR 1.75 RC build 2583 x86 -без плагов и макросов

делаем Shift-f4 указываем какой-нибудь существующий файл на диске через \\?\. например \\?\c:\autoexec.bat
делаем Ctrl-f10,esc
видим что панель диска изменилась на
════ \\?\ ......... ══

если мы не в корне диска то заходим в какую нибудь папку например
"Program Files", вот теперь попытаемся выйти путём нажатия
Enter на .., или нажатия CtrlPgUp
в обоих случаях выдаётся ошибка

╔══════════ Ошибка ═══════════╗
║ The parameter is incorrect. ║
║ .. ║
║ Продолжить ║
╚═════════════════════════════╝

выйти в корень можно например с помощью Ctrl\.

проблема только с выходом из папок первого уровня, выход например из папок второго, 3го, 4го.... уровней без проблем.

Проблема только в FAR1.75 в FAR2.0 нету.


Раньше такого небыло. Сломано в b2578. его changelog

svs 22.05.2009 14:41:12 +0300 - build 2578

1. Раз есть TStack то выкинем TVMStack и заюзаем первый для него.
   Сделано пока не полностью по аналогии с двойкой (наблюдаются некоторые тормоза; разбираюсь)

2. "Ускорение" KeyNameToKey(), аналогичное двойке.

3. Неправльно работала функция KeyNameToKey() для "полупрямых" клавишь вида ShiftShiftCtrlDown (ну или ShiftCtrlShiftDown)

4. "Хождение по сетевым папкам с тормозами"
   Оптимизация работы SetDir`ов и ChageDir`ов, исключающих повторные действия, если CurDir уже является тем же, что хотим установить.
   Основные тормоза возникли где-то в районе "после 5-й беты 1.75" - Фунция PrepareDiskPath().

5. Debug: Добавлены макросы отладки _CHANGEDIR() и _KBDLOG() (и соответствующие им дефайны SYSLOG_CHANGEDIR/SYSLOG_KBDLOG)



TagsNo tags attached.
Build2584

Relationships

related to 0000808 closed Far Manager В заголовке панели отображается "\\?\V:\" 

Activities

sdindikov

2009-05-31 22:39

developer   bugnote:0003391

думаю 4пункт изменений подкосил ;-)

vskirdin

2009-06-01 15:28

administrator   bugnote:0003416

1.75 = build 2584
2.00 = build 969

alexy

2009-06-02 13:46

administrator   bugnote:0003456

Ну да, теперь ошибки на ".." нету, но оно все ровно попадает в \\?\C: после Ctrl-F10 - а это нафиг делать не надо.
Наверно это связано с 0000897 пункт 3.

DrKnS

2009-06-02 19:59

administrator   bugnote:0003468

> а это нафиг делать не надо.

а куда же ему тогда переходить?


Ну и с 897.3 не связано совсем. Там очевидный баг в setdir, а тут \\?\C: - вполне корректный путь.

alexy

2009-06-02 21:22

administrator   bugnote:0003469

\\?\C: то путь коректный как путь, но показывать в панелях \\?\ не надо так как это всего лишь спец префикс для winapi а не реальная часть пути. Скажем так, даже то что в заголовке редактора показывается \\?\ (открыв \\?\c:\autoexec.bat) я считаю багом. Ну и тем более то что при пути \\?\C:\ фар ещё и .. показывает тоже баг, ибо \\?\C:\ == C:\ а перфикс он всего лишь префикс.
Скажем так \\?\ не несёт в себе никакой доп информации для пользователя (в отличии от \\.\ например) и показывать его не надо никогда,

DrKnS

2009-06-02 21:26

administrator   bugnote:0003470

> \\?\ не несёт в себе никакой доп информации для пользователя

Таки несет.
Ибо когда CurDir==\\?\blablabla - мы, например, не сможем запускать программы.
И если тупо прятать префикс - пользователь потом будет орать, что "иногда ломается запускатор хз почему".

alexy

2009-06-02 21:30

administrator   bugnote:0003471

Ну так я и о том же, CurDir вообще никогда не должен быть c \\?\.

Issue History

Date Modified Username Field Change
2009-05-31 22:37 sdindikov New Issue
2009-05-31 22:39 sdindikov Note Added: 0003391
2009-06-01 12:52 vskirdin Status new => assigned
2009-06-01 12:52 vskirdin Assigned To => vskirdin
2009-06-01 15:28 vskirdin Note Added: 0003416
2009-06-01 15:28 vskirdin Status assigned => feedback
2009-06-02 13:46 alexy Note Added: 0003456
2009-06-02 13:47 alexy Relationship added related to 0000897
2009-06-02 13:48 alexy Relationship added related to 0000808
2009-06-02 19:59 DrKnS Note Added: 0003468
2009-06-02 21:16 alexy Relationship deleted related to 0000897
2009-06-02 21:22 alexy Note Added: 0003469
2009-06-02 21:26 DrKnS Note Added: 0003470
2009-06-02 21:30 alexy Note Added: 0003471
2009-07-06 11:47 sdindikov Status feedback => resolved
2009-07-06 11:47 sdindikov Resolution open => fixed
2009-07-06 11:47 vskirdin Build => 2584
2009-07-06 11:47 vskirdin Status resolved => closed
2009-07-06 11:47 vskirdin Fixed in Version => 1.75